Bug 1544634 - Filesystem label mismatch when building overcloud-full images
Summary: Filesystem label mismatch when building overcloud-full images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: diskimage-builder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: beta
: 13.0 (Queens)
Assignee: Ian Wienand
QA Contact: Artem Hrechanychenko
URL:
Whiteboard:
Depends On:
Blocks: RHOS-13-ppc64le
TreeView+ depends on / blocked
 
Reported: 2018-02-13 05:44 UTC by Tony Breeds
Modified: 2018-06-27 13:45 UTC (History)
6 users (show)

Fixed In Version: diskimage-builder-2.11.1-0.20180227034818.d94a770.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:44:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1742170 None None None 2018-02-13 05:44:48 UTC
OpenStack gerrit 532279 None master: MERGED diskimage-builder: Set default label for XFS disks (I41dce6e25766562db4366021309b8c2b74a8ab80) 2018-03-01 17:39:08 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:45:18 UTC

Description Tony Breeds 2018-02-13 05:44:48 UTC
When building an XFS filesystem, like those used for overcloud-full, the disk label is set to img-rootfs but the grub config specifies cloudimg-rootfs leading to boot failures.

Comment 1 Tony Breeds 2018-02-13 05:46:12 UTC
This blocks the successful build of whole disk images regardless of architecture

Comment 2 Ben Nemec 2018-02-13 16:11:44 UTC
I don't know that the DF owns DIB anymore.  We should probably update the default assignee for the project.

Transferring to Ian since I think he's a better owner for this.

Comment 3 Ian Wienand 2018-02-13 20:25:05 UTC
We did fix this in [1]; as for what this bug status should be i'm not sure 

[1] https://review.openstack.org/#/c/532279/

Comment 11 Gurenko Alex 2018-06-07 11:58:38 UTC
Verified on puddle 2018-06-01.1

diskimage-builder-2.13.0-1.el7ost.noarch

Comment 13 errata-xmlrpc 2018-06-27 13:44:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.